<?php
wp_enqueue_script( 'jquery' );
$form_id = 'knit-pay-payment-button-form-' . uniqid();
?>

<form id="<?php echo $form_id; ?>" class="knit-pay-payment-button-form-class" method="post">
	<?php 
	   $nonce_action = "knit_pay_payment_button|{$attributes['amount']}|{$attributes['currency']}|{$attributes['payment_description']}|{$attributes['config_id']}";
	   wp_nonce_field( $nonce_action, 'knit_pay_nonce' );
	?>
	<input type="hidden" id="knit_pay_payment_button_amount" value="<?php echo esc_attr( $attributes['amount'] ); ?>">
	<input type="hidden" id="knit_pay_payment_button_currency" value="<?php echo esc_attr( $attributes['currency'] ); ?>">
	<input type="hidden" id="knit_pay_payment_button_payment_description" value="<?php echo esc_attr( $attributes['payment_description'] ); ?>">
	<input type="hidden" id="knit_pay_payment_button_config_id" value="<?php echo esc_attr( $attributes['config_id'] ); ?>">
	<input
		type="submit"
		id="submit"
		value="<?php echo esc_attr( $attributes['text'] ); ?>"
		knit-pay-button-text="<?php echo esc_attr( $attributes['text'] ); ?>"
		<?php echo get_block_wrapper_attributes( [ 'class' => 'wp-block-button__link wp-element-button' ] ); ?>
	></input>
</form>

<script>
	jQuery("#<?php echo $form_id; ?>").submit(function(event) {
		var form_id = "#" + event.target.id;
		event.preventDefault();

		var submit_button = jQuery(form_id + " #submit");
		submit_button.attr("disabled", "");
		submit_button.val("Loading...");

		let deferred = jQuery.Deferred();

		// Open Window before ajax request to prevent popup blocker.
		var paymentWindow = window.open("about:blank", "knitpayPaymentWindow", "width=400,height=720");

		jQuery.post("<?php echo admin_url( 'admin-ajax.php' ); ?>", {
				"action": "knit_pay_payment_button_submit",
				"knit_pay_nonce": jQuery(form_id + " #knit_pay_nonce").val(),
				"amount": jQuery(form_id + " #knit_pay_payment_button_amount").val(),
				"currency": jQuery(form_id + " #knit_pay_payment_button_currency").val(),
				"payment_description": jQuery(form_id + " #knit_pay_payment_button_payment_description").val(),
				"config_id": jQuery(form_id + " #knit_pay_payment_button_config_id").val(),
			},
			function(msg) {
				submit_button.removeAttr("disabled");
				submit_button.val(submit_button.attr("knit-pay-button-text"));

				msg = JSON.parse(msg);
				if ("success" == msg.status) {
					return openPaymentWindow(msg.redirect_url, deferred);
				} else {
					deferred.reject({
						message: msg.message
					});
					paymentWindow.close();
					// TODO Show error message below button
				}
			});
	});

	function openPaymentWindow(payment_url, deferred) {
		var paymentWindow = window.open(payment_url, "knitpayPaymentWindow", "width=400,height=720");
		var timer = setInterval(function() {
			if(paymentWindow.closed) {
				clearInterval(timer);
				deferred.resolve();
			}
		}, 1000);
	}
</script>
